API ReferenceAdd-ons
Replace product add-ons
Replace a product's complete ordered add-on assignment.
AuthorizationBearer <token>
Provide your SellApp API key as a bearer token.
In: header
Path Parameters
product*integer
The product path parameter.
Header Parameters
X-STORE?string
Store slug. Required for OAuth access tokens. API keys may omit it to use their current store, or the first accessible store when no current store is selected.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
resources*array<integer>
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://sell.app/api/v2/products/120/addons" \ -H "X-STORE: launch-lab" \ -H "Content-Type: application/json" \ -d '{ "resources": [ 411, 410 ] }'{
"data": [
{
"id": 411,
"store_id": 12,
"title": "Customer support",
"slug": "customer-support",
"description": "Priority support for launches scheduled suspiciously close to Friday.",
"visibility": "PUBLIC",
"type": "addon",
"is_draft": true,
"is_discoverable": false,
"parent_product_ids": [
120
],
"variants": [],
"created_at": "2026-07-11T12:00:00.000000Z",
"updated_at": "2026-07-11T12:00:00.000000Z",
"deleted_at": null,
"delivery_text": ""
},
{
"id": 410,
"store_id": 12,
"title": "Customer support",
"slug": "customer-support",
"description": "Priority support for launches scheduled suspiciously close to Friday.",
"visibility": "PUBLIC",
"type": "addon",
"is_draft": true,
"is_discoverable": false,
"parent_product_ids": [
120
],
"variants": [],
"created_at": "2026-07-11T12:00:00.000000Z",
"updated_at": "2026-07-11T12:00:00.000000Z",
"deleted_at": null,
"delivery_text": ""
}
]
}{
"type": "invalid_request_error",
"code": "bad_request",
"message": "The request could not be understood.",
"status": 400,
"param": null,
"request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
"docs_url": "https://sell.app/docs/api/errors#bad-request"
}{
"type": "authentication_error",
"code": "unauthenticated",
"message": "Unauthenticated.",
"status": 401,
"param": null,
"request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
"docs_url": "https://sell.app/docs/api/errors#unauthenticated"
}{
"type": "authorization_error",
"code": "forbidden",
"message": "This action is unauthorized.",
"status": 403,
"param": null,
"request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
"docs_url": "https://sell.app/docs/api/errors#forbidden"
}{
"type": "not_found_error",
"code": "resource_not_found",
"message": "Not Found.",
"status": 404,
"param": null,
"request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
"docs_url": "https://sell.app/docs/api/errors#resource-not-found"
}{
"type": "validation_error",
"code": "validation_failed",
"message": "The selected product variant id is invalid.",
"status": 422,
"param": "product_variant_id",
"request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
"docs_url": "https://sell.app/docs/api/errors#validation-failed",
"errors": {
"product_variant_id": [
"The selected product variant id is invalid."
]
}
}{
"type": "rate_limit_error",
"code": "rate_limit_exceeded",
"message": "Too Many Attempts.",
"status": 429,
"param": null,
"request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
"docs_url": "https://sell.app/docs/api/errors#rate-limit-exceeded"
}{
"type": "api_error",
"code": "api_error",
"message": "Server Error",
"status": 500,
"param": null,
"request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
"docs_url": "https://sell.app/docs/api/errors#api-error"
}